--------------------- MODULE SplitterConcreteInterface ---------------------

EXTENDS Library

CONSTANT P

SpInterfaceType == [
    resp : [P -> [
        output: BOOLEAN, 
        flag: BOOLEAN]], 
    inv: [P -> BOOLEAN]]
SpInterfaceInit == [
    resp |-> [p\in P |-> [
        output |-> Some(BOOLEAN), 
        flag |-> Some(BOOLEAN)]], 
    inv |-> [p\in P |-> Some(BOOLEAN)]]

InvokeSplitter(p,interface,newinterface) ==
    newinterface = [interface EXCEPT !.inv = [@ EXCEPT ![p] = \neg @]]

SplitterResponse(p, b,interface,newinterface) ==
    newinterface = [interface EXCEPT !.resp = [@ EXCEPT ![p] = [
        output |-> b,
        flag |-> \neg @.flag]]]
        
=============================================================================
\* Modification History
\* Last modified Sat Nov 30 23:43:18 CET 2013 by losa
\* Created Tue Jul 09 16:59:03 CEST 2013 by losa
